Index: Include/windows.sbp
===================================================================
--- Include/windows.sbp	(revision 168)
+++ Include/windows.sbp	(revision 170)
@@ -4,104 +4,4 @@
 #ifndef _INC_WINDOWS
 #define _INC_WINDOWS
-
-
-TypeDef HANDLE    = VoidPtr
-
-'variable type - System
-TypeDef HGLOBAL   = HANDLE
-TypeDef HLOCAL    = HANDLE
-Type _System_DeclareHandle_HINSTANCE:unused As DWord:End Type
-TypeDef HINSTANCE = *_System_DeclareHandle_HINSTANCE
-TypeDef HMODULE = HINSTANCE
-Type _System_DeclareHandle_HKEY:unused As DWord:End Type
-TypeDef HKEY      = *_System_DeclareHandle_HKEY
-TypeDef HFILE     = Long
-Type _System_DeclareHandle_HANDLE:unused As DWord:End Type
-TypeDef HRSRC = *_System_DeclareHandle_HANDLE
-
-'variable type - User
-Type _System_DeclareHandle_HMENU:unused As DWord:End Type
-TypeDef HMENU     = *_System_DeclareHandle_HMENU
-Type _System_DeclareHandle_HWND:unused As DWord:End Type
-TypeDef HWND      = *_System_DeclareHandle_HWND
-Type _System_DeclareHandle_HACCEL:unused As DWord:End Type
-TypeDef HACCEL      = *_System_DeclareHandle_HACCEL
-
-'variable type - GDI
-Type _System_DeclareHandle_HBITMAP:unused As DWord:End Type
-TypeDef HBITMAP   = *_System_DeclareHandle_HBITMAP
-Type _System_DeclareHandle_HBRUSH:unused As DWord:End Type
-TypeDef HBRUSH    = *_System_DeclareHandle_HBRUSH
-Type _System_DeclareHandle_HCURSOR:unused As DWord:End Type
-TypeDef HCURSOR   = *_System_DeclareHandle_HCURSOR
-Type _System_DeclareHandle_HDC:unused As DWord:End Type
-TypeDef HDC       = *_System_DeclareHandle_HDC
-Type _System_DeclareHandle_HFONT:unused As DWord:End Type
-TypeDef HFONT     = *_System_DeclareHandle_HFONT
-Type _System_DeclareHandle_HGDIOBJ:unused As DWord:End Type
-TypeDef HGDIOBJ   = *_System_DeclareHandle_HGDIOBJ
-Type _System_DeclareHandle_HICON:unused As DWord:End Type
-TypeDef HICON     = *_System_DeclareHandle_HICON
-Type _System_DeclareHandle_HPEN:unused As DWord:End Type
-TypeDef HPEN      = *_System_DeclareHandle_HPEN
-Type _System_DeclareHandle_HRGN:unused As DWord:End Type
-TypeDef HRGN      = *_System_DeclareHandle_HRGN
-Type _System_DeclareHandle_HMETAFILE:unused As DWord:End Type
-TypeDef HMETAFILE = *_System_DeclareHandle_HMETAFILE
-Type _System_DeclareHandle_HENHMETAFILE:unused As DWord:End Type
-TypeDef HENHMETAFILE = *_System_DeclareHandle_HENHMETAFILE
-Type _System_DeclareHandle_HTASK:unused As DWord:End Type
-TypeDef HTASK = *_System_DeclareHandle_HTASK
-Type _System_DeclareHandle_HHOOK:unused As DWord:End Type
-TypeDef HHOOK = *_System_DeclareHandle_HHOOK
-Type _System_DeclareHandle_HMONITOR:unused As DWord:End Type
-TypeDef HMONITOR = *_System_DeclareHandle_HMONITOR
-
-'variable type - Shell
-Type _System_DeclareHandle_HDROP:unused As DWord:End Type
-TypeDef HDROP     = *_System_DeclareHandle_HDROP
-
-
-TypeDef LRESULT = LONG_PTR
-
-TypeDef WPARAM = ULONG_PTR
-TypeDef LPARAM = LONG_PTR
-
-TypeDef CHAR = SByte
-TypeDef WCHAR = Word
-TypeDef TCHAR = Char
-
-#ifdef UNICODE
-TypeDef TBYTE = Char
-
-TypeDef PSTR = *SByte
-TypeDef PCSTR = *SByte
-
-TypeDef PWSTR = *Char
-TypeDef PCWSTR = *Char
-
-TypeDef PTSTR = PWSTR
-TypeDef PCTSTR = PCWSTR
-#else
-TypeDef TBYTE = Byte
-
-TypeDef PSTR = *Char
-TypeDef PCSTR = *Char
-
-TypeDef PWSTR = *WCHAR
-TypeDef PCWSTR = *WCHAR
-
-TypeDef PTSTR = PSTR
-TypeDef PCTSTR = PCSTR
-#endif
-
-TypeDef LPSTR = PSTR
-TypeDef LPCSTR = PCSTR
-
-TypeDef LPWSTR = PWSTR
-TypeDef LPCWSTR = PCWSTR
-
-TypeDef LPTSTR = PTSTR
-TypeDef LPCTSTR = PCTSTR
 
 TypeDef OLECHAR = WCHAR
@@ -111,10 +11,4 @@
 TypeDef BSTR = LPOLESTR
 
-TypeDef UCSCHAR = DWord
-
-Const UCSCHAR_INVALID_CHARACTER = &hffffffff As UCSCHAR
-Const MIN_UCSCHAR = 0 As UCSCHAR
-Const MAX_UCSCHAR = &h0010ffff As UCSCHAR
-
 TypeDef LANGID = Word
 TypeDef LCID = DWord
@@ -122,23 +16,10 @@
 TypeDef LGRPID = DWord
 
-TypeDef HRESULT = Long
-TypeDef ATOM = Word
-TypeDef COLORREF = DWord
-
 TypeDef PROPID = DWord
 
-TypeDef RECTL = RECT
-TypeDef SIZEL = SIZE
-
-TypeDef PVOID = VoidPtr
-TypeDef LPVOID = VoidPtr
-TypeDef LPCVOID = VoidPtr
-
-TypeDef FARPROC = *Function() As LONG_PTR
-TypeDef NEARPROC = FARPROC
-TypeDef PROC = FARPROC
 TypeDef WNDPROC = *Function(hwnd As HWND, msg As DWord, wParam As WPARAM, lParam As LPARAM) As LRESULT
 TypeDef DLGPROC = *Function(hwnd As HWND, msg As DWord, wParam As WPARAM, lParam As LPARAM) As LONG_PTR
 
+#require <windef.ab>
 #require <api_winerror.sbp>
 #require <api_system.sbp>
